locale_conv.h File Reference

Go to the source code of this file.

## Classes

class | std::wbuffer_convert< _Codecvt, _Elem, _Tr >
class | std::wstring_convert< _Codecvt, _Elem, _Wide_alloc, _Byte_alloc >

## Namespaces

| std

## Functions

template<typename _OutStr , typename _InChar , typename _Codecvt , typename _State , typename _Fn >
bool | std::__do_str_codecvt (const _InChar *__first, const _InChar *__last, _OutStr &__outstr, const _Codecvt &__cvt, _State &__state, size_t &__count, _Fn __fn)
template<typename _CharT , typename _Traits , typename _Alloc , typename _State >
bool | std::__str_codecvt_in (const char *__first, const char *__last, basic_string< _CharT, _Traits, _Alloc > &__outstr, const codecvt< _CharT, char, _State > &__cvt)
template<typename _CharT , typename _Traits , typename _Alloc , typename _State >
bool | std::__str_codecvt_in (const char *__first, const char *__last, basic_string< _CharT, _Traits, _Alloc > &__outstr, const codecvt< _CharT, char, _State > &__cvt, _State &__state, size_t &__count)
template<typename _CharT , typename _Traits , typename _Alloc , typename _State >
bool | std::__str_codecvt_out (const _CharT *__first, const _CharT *__last, basic_string< char, _Traits, _Alloc > &__outstr, const codecvt< _CharT, char, _State > &__cvt)
template<typename _CharT , typename _Traits , typename _Alloc , typename _State >
bool | std::__str_codecvt_out (const _CharT *__first, const _CharT *__last, basic_string< char, _Traits, _Alloc > &__outstr, const codecvt< _CharT, char, _State > &__cvt, _State &__state, size_t &__count)

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <locale>.

Definition in file locale_conv.h.